Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.oxm.mime
Interface MimeContainer

    public interface MimeContainer

Represents a container for MIME attachments Concrete implementations might adapt a SOAPMessage or an email message.

Since:
  3.0
Author:
  Arjen Poutsma
See Also:
  XML-binary Optimized Packaging

Method Summary
`void` | `addAttachment(java.lang.String contentId, javax.activation.DataHandler dataHandler)` Add the given data handler as an attachment to this container.
`boolean` | `convertToXopPackage()` Turn this message into a XOP package.
`javax.activation.DataHandler` | `getAttachment(java.lang.String contentId)` Return the attachment with the given content id, or `null` if not found.
`boolean` | `isXopPackage()` Indicate whether this container is a XOP package.

Method Detail

### isXopPackage

    boolean isXopPackage()

  Indicate whether this container is a XOP package.

  Returns:
    `true` when the constraints specified in Identifying XOP Documents are met
  See Also:
    XOP Packages

### convertToXopPackage

    boolean convertToXopPackage()

  Turn this message into a XOP package.

  Returns:
    `true` when the message actually is a XOP package
  See Also:
    XOP Packages

### addAttachment

    void addAttachment(java.lang.String contentId,
                       javax.activation.DataHandler dataHandler)

  Add the given data handler as an attachment to this container.

  Parameters:
    `contentId` - the content id of the attachment
    `dataHandler` - the data handler containing the data of the attachment

### getAttachment

    javax.activation.DataHandler getAttachment(java.lang.String contentId)

  Return the attachment with the given content id, or `null` if not found.

  Parameters:
    `contentId` - the content id
  Returns:
    the attachment, as a data handler

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD